Bug 872684 - [de_DE] pofilter urls test is failing on the trailing period to url http://red.ht/lost_password.
[de_DE] pofilter urls test is failing on the trailing period to url http://re...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: beta
: 6.4
Assigned To: Bryan Kearney
IDM QE LIST
: Translation
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2012-11-02 13:56 EDT by John Sefler
Modified: 2014-02-05 16:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 11:50:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-11-02 13:56:33 EDT
Description of problem:
The translation for this msgid should NOT contain a trailing period.  It affects the link-ability of the url.

msgid "Tip: Forgot your login or password? Look it up at http://red.ht/lost_password"


Version-Release number of selected component (if applicable):
Zanata https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.1.X
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.5-1.git.1.a350693.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo | grep -A1 "http://red.ht/lost_password"
msgid "Tip: Forgot your login or password? Look it up at http://red.ht/lost_password"
msgstr "Tipp: Login oder Passwort vergessen? Hier erhalten Sie Hilfe: http://red.ht/lost_password."

  
Actual results:
above

Expected results:
the msgstr should not have a period at the end of the url
Comment 2 Hedda Peters 2012-11-06 20:31:15 EST
Hi John,

Thanks for pointing that out to me. 

I changed the translation in Zanata https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.1.X to remove the troublesome full stop.

Cheers, Hedda
Comment 3 RHEL Product and Program Management 2012-12-14 03:36:49 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Bryan Kearney 2012-12-20 13:55:50 EST
Moving this to on_qa. The latest strings which are delivered as part of 1.1.18 contain the fix. In RHEL7, this string has been changed in BZ878609. Therefore, this bug is no longer relevant.
Comment 6 John Sefler 2012-12-21 14:27:31 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.18-1.el6.x86_64

> [root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo | grep -A1 "http://red.ht/lost_password"
> msgid "Tip: Forgot your login or password? Look it up at http://red.ht/lost_password"
> msgstr "Tipp: Login oder Passwort vergessen? Hier erhalten Sie Hilfe: http://red.ht/lost_password"

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.